package app.revanced.patches.kakaotalk.ghost

import app.revanced.patcher.extensions.InstructionExtensions.addInstructions
import app.revanced.patcher.patch.bytecodePatch
import app.revanced.patches.kakaotalk.ghost.fingerprints.ghostModeFingerprint

@Suppress("unused")
val ghostMode = bytecodePatch(
    name = "Ghost Mode",
    description = "Don't expose your typing status to the other party.",
) {
    compatibleWith("com.kakao.talk"("25.4.0"))

    execute {
        val method = ghostModeFingerprint.method

        method.addInstructions(
            0,
            """
                sget-object v0, Lnk0/C;->a:Lnk0/C;
                return-object v0
            """.trimIndent()
        )
    }
}